// 对Date的扩展，将 Date 转化为指定格式的String
// 月(M)、日(d)、小时(h)、分(m)、秒(s)、季度(q) 可以用 1-2 个占位符， 
// 年(y)可以用 1-4 个占位符，毫秒(S)只能用 1 个占位符(是 1-3 位的数字) 
// 例子： 
// (new Date()).Format("yyyy-MM-dd hh:mm:ss.S") ==> 2006-07-02 08:09:04.423 
// (new Date()).Format("yyyy-M-d h:m:s.S")      ==> 2006-7-2 8:9:4.18 
Date.prototype.Format = function (fmt) { //author: meizz 
    var o = {
        "M+": this.getMonth() + 1, //月份 
        "d+": this.getDate(), //日 
        "h+": this.getHours(), //小时 
        "m+": this.getMinutes(), //分 
        "s+": this.getSeconds(), //秒 
        "q+": Math.floor((this.getMonth() + 3) / 3), //季度 
        "S": this.getMilliseconds() //毫秒 
    };
    if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
    for (var k in o)
        if (new RegExp("(" + k + ")").test(fmt)) fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
    return fmt;
}


// 代金券消费
function queryOrderCheckList(urls, queryParams) {
    // 默认查询第一页 query查询时保存当前条件
    var TempPageNumber = 1, pageSize = 10;
    try {
        TempPageNumber = $('#datatable2').datagrid('getPager').pagination("options").pageNumber;
        pageSize = $('#datatable2').datagrid('getPager').pagination("options").pageSize;
    } catch (e) {

    }
    $('#datatable')
        .datagrid(
            {
                title: "对账列表",
                iconCls: 'icon-search',
                pageNumber: TempPageNumber,
                pageSize: pageSize,
                pageList: [10, 50],
                nowrap: true,
                striped: true,
                border: true,
                noheader: true,
                url: urls,
                loadMsg: '数据加载中......',
                queryParams: queryParams,
                remoteSort: false,
                fitColumns: true,
                singleSelect: false,
                columns: [[
                    {
                        field: 'CODE',
                        title: '案件编号',
                        sortable: 'true',
                        align: 'left',
                        width: 40
                    }, {
                        field: 'FRAME_CODE',
                        title: 'VIN码',
                        sortable: 'true',
                        align: 'left',
                        width: 25
                    },
                    {
                        field: 'ADDRESS',
                        title: '案件事发地',
                        sortable: 'true',
                        align: 'left',
                        width: 60
                    },
                    {
                        field: 'SERVICE_NAME',
                        title: '服务类型',
                        sortable: 'true',
                        align: 'left',
                        width: 20
                    },
                    {
                        field: 'CREATE_TIME',
                        title: '开案时间',
                        sortable: 'true',
                        align: 'left',
                        width: 30,
                        formatter:  function (value, row, index) {
                            return new Date(value).Format("yyyy-MM-dd hh:mm")
                        }
                    },{
                        field: 'STATE',
                        title: '完成情况',
                        sortable: 'true',
                        align: 'center',
                        width: 15,
                        formatter: function (value, row, index) {
                            switch (value) {
                                case  '15':
                                    return "等待评价";
                                case  '16':
                                    return "救援完成";
                                case  '18':
                                    return "车主取消";
                                case  '17':
                                    return "放弃救援";
                                case  '19':
                                    return "放弃救援";
                                default :
                                    return "未完成";
                            }
                        }
                    },
                    {
                        field: 'ALL_FEE1',
                        title: '结算费用',
                        sortable: 'true',
                        align: 'center',
                        width: 20,
                        formatter: function (value, row, index) {
                            var ALL_FEE1 = parseInt(row.TOTAL_FEE2) + parseInt(row.OTHER_FEE2);
                            return ALL_FEE1 || '0';
                        }
                    },
                    {
                        field: 'CHECK_STATE',
                        title: '结算状态',
                        sortable: 'true',
                        align: 'left',
                        width: 25,
                        formatter: function (value, row, index) {
                            switch (value) {
                                case  '1':
                                    return "等待填写";
                                case  '2':
                                    return "等待审核";
                                case  '3':
                                    return "审核未通过";
                                case  '4':
                                    return "再次审核";
                                case  '5':
                                    return "对账完成";
                                case  '6':
                                    return "开票完成";
                                default :
                                    return "未填写";
                            }
                        }
                    },
                    {
                        field: 'operation',
                        title: '操作',
                        sortable: 'true',
                        align: 'left',
                        width: 20,
                        formatter: function (value, row, index) {
                            var str = '<a href="#" name="opera" class="easyui-linkbutton opera" onclick=showDetail(' + index + ')>详情</a>';
                            return str;
                        }
                    }
                ]],
                pagination: true,
                rownumbers: false,
                onLoadSuccess: function (data) {
                }

                ,
                toolbar: [],
                onCheck: function (rowIndex, rowData) {
                }

                ,
                onCheckAll: function (rows) {
                }
                ,
                onUncheck: function (rowIndex, rowData) {
                }
                ,
                onLoadSuccess: function (data) {
                }
                ,
                onUncheckAll: function (rows) {
                }

            }
        )
    ;
}

function showDetail(index) {
    var order = $('#datatable').datagrid('getRows')[index]

    $("#checkInfoEdit_windowContent").show();
    $("#i-orderCode").html(order.CODE);
    $("#i-orderState").html(function () {
        switch (order.STATE) {
            case  '15':
                return "等待评价";
            case  '16':
                return "救援完成";
            case  '18':
                return "车主取消";
            case  '17':
                return "放弃救援";
            case  '19':
                return "放弃救援";
            default :
                return "未完成";
        }
    });
    $("#i-checkState").html(function () {
        switch (order.CHECK_STATE) {
            case  '1':
                return "等待填写";
            case  '2':
                return "等待审核";
            case  '3':
                return "审核未通过";
            case  '4':
                return "再次审核";
            case  '5':
                return "审核通过";
            case  '6':
                return "开票完成";
            default :
                return "未填写";
        }
    });
    $("#i-serviceName").html(order.SERVICE_NAME);
    $("#i-address").html(order.ADDRESS);
    if (order.DEST_ADDRESS && order.DEST_ADDRESS != null && order.DEST_ADDRESS != '') {
        $('.i-destAddressTR').show();
        $("#i-destAddress").html(order.DEST_ADDRESS);
    } else {
        $('.i-destAddressTR').hide();
    }
    if (order.FLOW_ID == "1") {
        $('.i-refMileageTR').hide();
    }else{
        $('.i-refMileageTR').show();
    }
    $("#i-companyName").html(order.COMPANYNAME);
    $("#i-frameCode").html(order.FRAME_CODE);


    $('#i-totalFee').html(parseInt(order.TOTAL_FEE2)+parseInt(order.OTHER_FEE2));
    $('#i-refMileage').html(parseInt(order.BC_MILEAGE2/1000)||0);

}